Temp Projects - Tasks #6206

PO price updating wrongly in Purchase order screen
04/12/2022 05:41 PM - Rijas P

Status: Closed Start date: 04/12/2022
Priority: Immediate Due date:

Assignee: System Admins Team % Done: 80%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.25 hour
Description

We have updated purchase price of Some items [Dollar Price list] PFA [Dollar price update.jpg] and after that added these items in
PO screen and choose the biggest Uom then the PO price is showing wrong. PFA [PO screen.jpg].

In our case, we are updating the price only for smallest Uom, So even we choose the biggest uom the price should be "Smallest Uom
price X Divide rate".

Please correct the biggest Uom price of all items and kindly provide a permanent fix.

History

#1 - 04/13/2022 10:12 AM - Rijas P

Dear Suhail,
Could you please correct the Carton price of all items in dollar price list. Our purchase orders are pending due to this error.
#2 - 04/13/2022 12:33 PM - Mohamed Suhail
- Status changed from New to In Progress
- % Done changed from 0 to 50
Rijas P wrote:
Dear Subhail,

Could you please correct the Carton price of all items in dollar price list. Our purchase orders are pending due to this error.

Deleted Carton prices of the items from Dollar pricelist

euro=# delete from m_productprice where c_uom_id=1000000 and m_pricelist_version_id in (select m_pricelist_version_id from m_pricelist_version
where m_pricelist_id=1000003);
DELETE 236

eurobackup=# select count(*) from m_productprice where c_uom_id=1000000 and m_pricelist_version_id in (select m_pricelist_version_id from
m_pricelist_version where m_pricelist_id=1000003);
count

posiboltdb=# delete from m_productprice where c_uom_id=1000000 and m_pricelist_version_id in (select m_pricelist_version_id from
m_pricelist_version where m_pricelist_id=1000003);
DELETE 236

#3 - 04/16/2022 02:07 PM - Rijas P

Dear Suhail,

As we discussed, could you please run a script daily basis to remove the Carton price from our server?.

#4 - 04/19/2022 08:19 PM - Mohamed Suhail
- Assignee changed from Mohamed Suhail to System Admins Team

- % Done changed from 50 to 80

Rijas P wrote:
Dear Subhail,

As we discussed, could you please run a script daily basis to remove the Carton price from our server?.

Admin team,
Please schedule the below script to run on every day 8 AM UAE time (on central , mini and backup server)

delete from m_productprice where c_uom_id=1000000 and m_pricelist_version_id in (select m_pricelist_version_id
from m_pricelist_version where m_pricelist_id=1000003);

#5 - 04/20/2022 02:22 PM - Ahamed Danish
- Assignee changed from System Admins Team to Ajin P
Ajin,

Please do the needful.

#6 - 04/20/2022 02:40 PM - Ajin P

noted.

#7 - 04/20/2022 05:08 PM - Ajin P

- Status changed from In Progress to Resolved

crontab configured.

#8 - 04/25/2022 01:05 PM - Rijas P

- Status changed from Resolved to Closed

Configured..

#9 - 07/15/2022 08:27 PM - Rijas P
- Assignee changed from Ajin P to Mohamed Suhail
Dear Subhail,
As we discussed, could you please run a script hourly basis to remove the Carton price from our server?.
#10 - 07/18/2022 12:00 PM - Mohamed Suhail
- Assignee changed from Mohamed Suhail to System Admins Team
Rijas P wrote:
Dear Suhail,
As we discussed, could you please run a script hourly basis to remove the Carton price from our server?.
Redmine Admin please do the needful

Change the existing script on a hourly interval
Are we running the same script on mini server also? If yes, please make the change there also

#11 - 07/18/2022 12:19 PM - Ahamed Danish

Changed script running on euro central,mini and backup to run on hourly basis.

#12 - 05/21/2024 04:06 PM - SHAIJAL EDAVANA
- Tracker changed from Bug to Tasks
- Project changed from Euro Novelties to Temp Projects

- Category deleted (Others)

Files
Dollar price.JPG 133 KB 04/12/2022 Rijas P
PO screen.JPG 111 KB 04/12/2022 Rijas P
